Jump to main content

# PRIME DRV_PLC_PHY_IDs

## PLC_ID_HOST_DESCRIPTION_ID (0x0100)

- Description: Name of MCU, in string format, where PL360 Host Controller is running
- Access: Read-only
- Value Range: 10 bytes
- Default Value: "SAME70" or "PIC32CX"

## PLC_ID_HOST_MODEL_ID (0x010A)

- Description: Model identification number of the PL360 Host Controller
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0x0002

## PLC_ID_HOST_PHY_ID (0x010C)

- Description: Physical identification number of the PL360 Host Controller. It is composed of PLC_ID_HOST_VERSION_ID (0x0112) + PLC_ID_HOST_BAND_ID (0x0116).
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0x36000003

## PLC_ID_HOST_PRODUCT_ID (0x0110)

- Description: Product identification number of the PL360 Host Controller
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0x3600

## PLC_ID_HOST_VERSION_ID (0x0112)

- Description: Version number of the PL360 Host Controller
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0x36000300

## PLC_ID_HOST_BAND_ID (0x0116)

- Description: Workband identification number of the PL360 Host Controller
- Access: Read-only
- Value Range: 1 byte
- Default Value: 3

## PLC_ID_TIME_REF_ID (0x0200)

- Description: Time reference in microseconds from the last reset of the PL360 device
- Access: Read-only
- Value Range: 4 bytes
- Default Value: Not applicable

## PLC_ID_PRODID (0x4000)

- Description: Product Identifier of firmware embedded in PL360 device
- Access: Read-only
- Value Range: 8 bytes
- Default Value: "ATPL360B"

## PLC_ID_MODEL (0x4001)

- Description: Model Identifier of firmware embedded in PL360 device
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0x3601

## PLC_ID_VERSION_STR (0x4002)

- Description: Version number of PL360 PHY embedded firmware in string format. The format is "AA.BB.CC.DD", where:
  - AA: Corresponds to device model ("36")
  - BB: Corresponds to PRIME band
  - CC: Major version number
  - DD: Minor version number
- Access: Read-only
- Value Range: 11 bytes
- Example Value: "36.05.05.04"

## PLC_ID_VERSION_NUM (0x4003)

- Description: Version number of PL360 PHY embedded firmware in hexadecimal format. The format is 0xAABBCCDD, where:
  - AA: Corresponds to device model (0x36)
  - BB: Corresponds to PRIME band
  - CC: Major version number
  - DD: Minor version number
- Access: Read-only
- Value Range: 4 bytes
- Example Value: 0x36050504

## PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)

- Description: Auto-Detect Impedance mode. Transmission Automatic Gain Control (Tx AGC) and Automatic Transmission Mode Control (ATMC) can be enabled/disabled. There are 3 available modes:
  - OFF: Tx AGC disabled. ATMC disabled
  - ON: Tx AGC enabled. ATMC enabled
  - AGC: Tx AGC enabled. ATMC disabled
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1

## PLC_ID_CFG_IMPEDANCE (0x4005)

- Description: Transmission mode (HIGH, LOW, VERY_LOW). It is automatically updated if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)).
- Access: Read-write
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_ZC_TIME (0x406)

- Description: Gets last detected Zero-Crossing value in microseconds
- Access: Read-only
- Value Range: 4 bytes
- Default value: 0

## PLC_ID_RX_PAY_SYMBOLS (0x4007)

- Description: Number of payload symbols in last received message
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_TX_PAY_SYMBOLS (0x4008)

- Description: Number of payload symbols in the last requested transmission
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_MAX_RMS_TABLE_HI (0x400A)

- Description: Target value of RMS_CALC in HIGH Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4005)). RMS_CALC will tend to this value by automatically adjusting the gain after every transmission (see PLC_ID_CURRENT_GAIN (0x4019)). These parameters are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)).
- Access: Read-write
- Value Range: 32 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  RMS_HI_0 | RMS_HI_1 | RMS_HI_2 | RMS_HI_3 | RMS_HI_4 | RMS_HI_5 | RMS_HI_6 | RMS_HI_7

  where, RMS_HI_x: Target value of RMS_CALC in mode of transmission HIGH for the attenuation level x (attenuation levels in 1 dB steps).

- Default Value:

  PRIME Mode | RMS_HI_0 | RMS_HI_1 | RMS_HI_2 | RMS_HI_3 | RMS_HI_4 | RMS_HI_5 | RMS_HI_6 | RMS_HI_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 1725 | 1522 | 1349 | 1202 | 1071 | 957 | 855 | 764
  Single/Double Channel | 1223 | 1090 | 971 | 866 | 772 | 688 | 614 | 547

## PLC_ID_MAX_RMS_TABLE_VLO (0x400B)

- Description: Target value of RMS_CALC in VERY_LOW Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4005)). RMS_CALC will tend to this value by automatically adjusting the gain after every transmission (see PLC_ID_CURRENT_GAIN (0x4019)). These parameters are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)).
- Access: Read-write
- Value Range: 32 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  RMS_VLO_0 | RMS_VLO_1 | RMS_VLO_2 | RMS_VLO_3 | RMS_VLO_4 | RMS_VLO_5 | RMS_VLO_6 | RMS_VLO_7

  where, RMS_HI_x: Target value of RMS_CALC in mode of transmission VERY_LOW for the attenuation level x (attenuation levels in 1 dB steps).

- Default Value:

  PRIME Mode | RMS_VLO_0 | RMS_VLO_1 | RMS_VLO_2 | RMS_VLO_3 | RMS_VLO_4 | RMS_VLO_5 | RMS_VLO_6 | RMS_VLO_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 4874 | 4427 | 3986 | 3555 | 3157 | 2795 | 2470 | 2184
  Single/Double Channel | 3002 | 2674 | 2355 | 2065 | 1811 | 1587 | 1397 | 1235

## PLC_ID_THRESHOLDS_TABLE_HI (0x400C)

- Description: Table of thresholds to automatically update Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4005)) from HIGH mode. These parameters are only used if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)). Corrected RMS_CALC (see PLC_ID_CORRECTED_RMS_CALC (0x4018)) is compared with these thresholds after every transmission to select Tx mode for next transmission. The decision is taken following the steps shown below:
  1. If corrected RMS_CALC is below TH_HI_VLO_x, Tx mode will be updated to VERY_LOW mode.
  2. Else if corrected RMS_CALC is below TH_HI_LO_x, Tx mode will be updated to LOW mode.
  3. Else Tx mode will remain in HIGH mode.

  where:

  - TH_HI_VLO_x: Threshold to change from HIGH to VERY_LOW mode for Tx attenuation level x (1 dB steps)
  - TH_HI_LO_x: Threshold to change from HIGH to LOW mode for Tx attenuation level x (1 dB steps)
- Access: Read-write
- Value Range: 64 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_HI_LO_0 | TH_HI_LO_1 | TH_HI_LO_2 | TH_HI_LO_3 | TH_HI_LO_4 | TH_HI_LO_5 | TH_HI_LO_6 | TH_HI_LO_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_HI_VLO_0 | TH_HI_VLO_1 | TH_HI_VLO_2 | TH_HI_VLO_3 | TH_HI_VLO_4 | TH_HI_VLO_5 | TH_HI_VLO_6 | TH_HI_VLO_7

- Default Value:

  PRIME Mode | TH_HI_LO_0 | TH_HI_LO_1 | TH_HI_LO_2 | TH_HI_LO_3 | TH_HI_LO_4 | TH_HI_LO_5 | TH_HI_LO_6 | TH_HI_LO_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0
  Single/Double Channel | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

  PRIME Mode | TH_HI_VLO_0 | TH_HI_VLO_1 | TH_HI_VLO_2 | TH_HI_VLO_3 | TH_HI_VLO_4 | TH_HI_VLO_5 | TH_HI_VLO_6 | TH_HI_VLO_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 1467 | 1292 | 1145 | 1019 | 910 | 811 | 725 | 648
  Single/Double Channel | 1038 | 924 | 822 | 731 | 652 | 582 | 518 | 462

## PLC_ID_THRESHOLDS_TABLE_LO (0x400D)

- Description: Table of thresholds to automatically update Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4005)) from LOW mode. These parameters are only used if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)). Corrected RMS_CALC (see PLC_ID_CORRECTED_RMS_CALC (0x4018)) is compared with these thresholds after every transmission to select Tx mode for next transmission. The decision is taken following the steps shown below:
  1. If corrected RMS_CALC is below TH_LO_VLO_x, Tx mode will be updated to VERY_LOW mode.
  2. Else if corrected RMS_CALC is above TH_LO_HI_x, Tx mode will be updated to HIGH mode.
  3. Else Tx mode will remain in LOW mode.

  where:

  - TH_LO_VLO_x: Threshold to change from LOW to VERY_LOW mode for Tx attenuation level x (1 dB steps)
  - TH_LO_HI_x: Threshold to change from LOW to HIGH mode for Tx attenuation level x (1 dB steps)
- Access: Read-write
- Value Range: 64 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_LO_HI_0 | TH_LO_HI_1 | TH_LO_HI_2 | TH_LO_HI_3 | TH_LO_HI_4 | TH_LO_HI_5 | TH_LO_HI_6 | TH_LO_HI_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_LO_VLO_0 | TH_LO_VLO_1 | TH_LO_VLO_2 | TH_LO_VLO_3 | TH_LO_VLO_4 | TH_LO_VLO_5 | TH_LO_VLO_6 | TH_LO_VLO_7

- Default Value:

  PRIME Mode | TH_LO_HI_0 | TH_LO_HI_1 | TH_LO_HI_2 | TH_LO_HI_3 | TH_LO_HI_4 | TH_LO_HI_5 | TH_LO_HI_6 | TH_LO_HI_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0
  Single/Double Channel | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

  PRIME Mode | TH_LO_VLO_0 | TH_LO_VLO_1 | TH_LO_VLO_2 | TH_LO_VLO_3 | TH_LO_VLO_4 | TH_LO_VLO_5 | TH_LO_VLO_6 | TH_LO_VLO_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0
  Single/Double Channel | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

## PLC_ID_THRESHOLDS_TABLE_VLO (0x400E)

- Description: Table of thresholds to automatically update Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4005)) from VERY_LOW mode. These parameters are only used if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)). Corrected RMS_CALC (see PLC_ID_CORRECTED_RMS_CALC (0x4018)) is compared with these thresholds after every transmission to select Tx mode for next transmission. The decision is taken following the steps shown below:
  1. If corrected RMS_CALC is below TH_VLO_VLO_x, Tx mode will remain in VERY_LOW mode.
  2. Else if corrected RMS_CALC is above TH_VLO_HI_x, Tx mode will be updated to HIGH mode.
  3. Else Tx mode will be updated to LOW mode.

  where:

  - TH_VLO_VLO_x: Threshold to remain Tx mode in VERY_LOW mode for Tx attenuation level x (1 dB steps)
  - TH_VLO_HI_x: Threshold to change from VERY_LOW to HIGH mode for Tx attenuation level x (1 dB steps)
- Access: Read-write
- Value Range: 64 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_VLO_HI_0 | TH_VLO_HI_1 | TH_VLO_HI_2 | TH_VLO_HI_3 | TH_VLO_HI_4 | TH_VLO_HI_5 | TH_VLO_HI_6 | TH_VLO_HI_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_VLO_VLO_0 | TH_VLO_VLO_1 | TH_VLO_VLO_2 | TH_VLO_VLO_3 | TH_VLO_VLO_4 | TH_VLO_VLO_5 | TH_VLO_VLO_6 | TH_VLO_VLO_7

- Default Value:

  PRIME Mode | TH_VLO_HI_0 | TH_VLO_HI_1 | TH_VLO_HI_2 | TH_VLO_HI_3 | TH_VLO_HI_4 | TH_VLO_HI_5 | TH_VLO_HI_6 | TH_VLO_HI_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0
  Single/Double Channel | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

  PRIME Mode | TH_VLO_VLO_0 | TH_VLO_VLO_1 | TH_VLO_VLO_2 | TH_VLO_VLO_3 | TH_VLO_VLO_4 | TH_VLO_VLO_5 | TH_VLO_VLO_6 | TH_VLO_VLO_7
  --- | --- | --- | --- | --- | --- | --- | --- | ---
  Single Channel Only | 8479 | 7515 | 6665 | 5874 | 5192 | 4576 | 4030 | 3557
  Single/Double Channel | 100000 | 100000 | 100000 | 100000 | 100000 | 100000 | 100000 | 100000

## PLC_ID_PREDIST_COEF_TABLE_HI (0x400F)

- Description: Equalization Coefficients table in HIGH Tx mode. There is one coefficient for each carrier in the used band. The format of each coefficient is uQ0.15 (2 bytes where MSB must be 0). PL360 firmware compensates the total gain internally, so modifying the digital gain (see PLC_ID_GAIN_TABLE_HI (0x402D)) is not needed when equalization is modified. If Double channel is used (PLC_ID_NUM_CHANNELS (0x403D)), another table is needed for the second channel (PLC_ID_PREDIST_COEF_TABLE_HI_2 (0x403F)).
- Access: Read-write
- Value Range: 194 bytes
- Default Value:

  - Single channel only:

    {0x756E, 0x7396, 0x730A, 0x72EB, 0x72B2, 0x7433, 0x755E, 0x75D7, 0x769E, 0x76A4, 0x77C3, 0x7851, 0x7864, 0x78A0, 0x78BA, 0x7918, 0x79B6, 0x79E9, 0x7ACC, 0x7B06, 0x7B30, 0x7B27, 0x7C1E, 0x7B96, 0x7A76, 0x7B12, 0x7AFD, 0x7C40, 0x7C5E, 0x7B48, 0x7B8A, 0x7C64, 0x7C42, 0x7BCD, 0x7AFD, 0x7A5F, 0x7A03, 0x7A9D, 0x7A1A, 0x7A4A, 0x79FC, 0x7984, 0x7A0D, 0x79CC, 0x792E, 0x780D, 0x7676, 0x75E4, 0x747A, 0x7251, 0x707E, 0x6E96, 0x6E30, 0x6D44, 0x6DBD, 0x6C9A, 0x6C3C, 0x6CF8, 0x6CA4, 0x6CDF, 0x6C59, 0x6B2C, 0x6CB9, 0x6C1F, 0x6B6D, 0x6BF5, 0x6AF0, 0x6A55, 0x6955, 0x674F, 0x6841, 0x685D, 0x670F, 0x6904, 0x6967, 0x6B01, 0x6C31, 0x6C2A, 0x6D82, 0x6F58, 0x6E62, 0x6F18, 0x6EE7, 0x7069, 0x717B, 0x7120, 0x7170, 0x72FB, 0x7491, 0x75B3, 0x75A2, 0x7664, 0x784A, 0x7A52, 0x7B51, 0x7D5A, 0x7FFF}

  - Single/Double channel:

    {0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF}

## PLC_ID_PREDIST_COEF_TABLE_LO (0x4010)

- Description: Equalization Coefficients table in LOW Tx mode. There is one coefficient for each carrier in the used band. The format of each coefficient is uQ0.15 (2 bytes where MSB must be 0). PL360 firmware compensates the total gain internally, so modifying the gain it is not needed (see PLC_ID_GAIN_TABLE_LO (0x402E)) when equalization is modified. If Double channel is used (PLC_ID_NUM_CHANNELS (0x403D)), another table is needed for the second channel (PLC_ID_PREDIST_COEF_TABLE_HI_2 (0x403F)).
- Access: Read-write
- Value Range: 194 bytes
- Default Value:

  - Single channel only:

    {0x7FFF, 0x7F2B, 0x7E38, 0x7CD3, 0x7B38, 0x7972, 0x77D6, 0x7654, 0x74AE, 0x7288, 0x70C0, 0x6E9A, 0x6D24, 0x6B80, 0x6A2F, 0x6852, 0x674E, 0x65DA, 0x652E, 0x637E, 0x6292, 0x6142, 0x60CC, 0x5FF8, 0x5F6D, 0x5EC2, 0x5E6F, 0x5E55, 0x5E43, 0x5E02, 0x5E5B, 0x5EB3, 0x5F4A, 0x5FD7, 0x604C, 0x60FC, 0x61F3, 0x6297, 0x63A9, 0x643D, 0x654A, 0x6634, 0x675C, 0x6824, 0x6910, 0x69A4, 0x6A73, 0x6B6F, 0x6C15, 0x6CCD, 0x6D64, 0x6E4B, 0x6ED3, 0x6F44, 0x6F85, 0x70A1, 0x70AF, 0x71B2, 0x7149, 0x71F3, 0x7203, 0x7279, 0x71FB, 0x72B4, 0x7281, 0x72A4, 0x7262, 0x72BD, 0x7295, 0x72CC, 0x729E, 0x7288, 0x7244, 0x7279, 0x726C, 0x7230, 0x71B9, 0x70D8, 0x7045, 0x7052, 0x6F8D, 0x6F3D, 0x6EB0, 0x6E6A, 0x6E76, 0x6E1C, 0x6D7A, 0x6D84, 0x6D50, 0x6D45, 0x6CF2, 0x6CA9, 0x6C92, 0x6CBA, 0x6C69, 0x6C27, 0x6C02}

  - Single/Double channel:

    {0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF}

## PLC_ID_PREDIST_COEF_TABLE_VLO (0x4011)

- Description: Equalization Coefficients table in VERY_LOW Tx mode. There is one coefficient for each carrier in the used band. The format of each coefficient is uQ0.15 (2 bytes where MSB must be 0). PL360 firmware compensates the total gain internally, so modifying the gain is not needed (see PLC_ID_GAIN_TABLE_VLO (0x402F)) when equalization is modified. If Double channel is used (PLC_ID_NUM_CHANNELS (0x403D)), another table is needed for the second channel (PLC_ID_PREDIST_COEF_TABLE_HI_2 (0x403F)).
- Access: Read-write
- Value Range: 194 bytes
- Default Value:

  - Single channel only:

    {0x7FFF, 0x7F2B, 0x7E38, 0x7CD3, 0x7B38, 0x7972, 0x77D6, 0x7654, 0x74AE, 0x7288, 0x70C0, 0x6E9A, 0x6D24, 0x6B80, 0x6A2F, 0x6852, 0x674E, 0x65DA, 0x652E, 0x637E, 0x6292, 0x6142, 0x60CC, 0x5FF8, 0x5F6D, 0x5EC2, 0x5E6F, 0x5E55, 0x5E43, 0x5E02, 0x5E5B, 0x5EB3, 0x5F4A, 0x5FD7, 0x604C, 0x60FC, 0x61F3, 0x6297, 0x63A9, 0x643D, 0x654A, 0x6634, 0x675C, 0x6824, 0x6910, 0x69A4, 0x6A73, 0x6B6F, 0x6C15, 0x6CCD, 0x6D64, 0x6E4B, 0x6ED3, 0x6F44, 0x6F85, 0x70A1, 0x70AF, 0x71B2, 0x7149, 0x71F3, 0x7203, 0x7279, 0x71FB, 0x72B4, 0x7281, 0x72A4, 0x7262, 0x72BD, 0x7295, 0x72CC, 0x729E, 0x7288, 0x7244, 0x7279, 0x726C, 0x7230, 0x71B9, 0x70D8, 0x7045, 0x7052, 0x6F8D, 0x6F3D, 0x6EB0, 0x6E6A, 0x6E76, 0x6E1C, 0x6D7A, 0x6D84, 0x6D50, 0x6D45, 0x6CF2, 0x6CA9, 0x6C92, 0x6CBA, 0x6C69, 0x6C27, 0x6C02}

  - Single/Double channel:

    {0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF}

## PLC_ID_GAIN_TABLE_HI (0x4012)

- Description: Table of gain values for HIGH Tx mode
- Access: Read-write
- Value Range: 6 bytes

  Byte 0-1 | Byte 2-3 | Byte 4-5
  --- | --- | ---
  GAIN_HI_INI | GAIN_HI_MIN | GAIN_HI_MAX

  where:

  - GAIN_HI_INI: Initial gain value in HIGH Tx mode. The minimum value is GAIN_HI_MIN.
  - GAIN_HI_MIN: Minimum gain value in HIGH Tx mode. The minimum value is 1.
  - GAIN_HI_MAX: Maximum gain value in HIGH Tx mode. The minimum value is GAIN_HI_INI.

  GAIN_HI_MIN and GAIN_HI_MAX are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)).

- Default Value:

  PRIME Mode | GAIN_HI_INI | GAIN_HI_MIN | GAIN_HI_MAX
  --- | --- | --- | ---
  Single Channel Only | 81 | 40 | 128
  Single/Double Channel | 120 | 60 | 256

## PLC_ID_GAIN_TABLE_LO (0x4013)

- Description: Gain value in LOW Tx mode
- Access: Read-write
- Value Range: 2 bytes. The minimum value is 1
- Default Value: 256

## PLC_ID_GAIN_TABLE_VLO (0x4014)

- Description: Table of gain values for VERY_LOW Tx mode
- Access: Read-write
- Value Range: 6 bytes

  Byte 0-1 | Byte 2-3 | Byte 4-5
  --- | --- | ---
  GAIN_VLO_INI | GAIN_VLO_MIN | GAIN_VLO_MAX

  where:

  - GAIN_VLO_INI: Initial gain value in VERY_LOW Tx mode. The minimum value is GAIN_VLO_MIN.
  - GAIN_VLO_MIN: Minimum gain value in VERY_LOW Tx mode. The minimum value is 1.
  - GAIN_VLO_MAX: Maximum gain value in VERY_LOW Tx mode. The minimum value is GAIN_VLO_INI.

  GAIN_VLO_MIN and GAIN_VLO_MAX are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)).

- Default Value:

  PRIME Mode | GAIN_VLO_INI | GAIN_VLO_MIN | GAIN_VLO_MAX
  --- | --- | --- | ---
  Single Channel Only | 256 | 128 | 281
  Single/Double Channel | 256 | 128 | 256

## PLC_ID_DACC_TABLE_CFG (0x4015)

- Description: Configuration values of DACC peripheral according to hardware configuration
- Access: Read-write
- Value Range: 68 bytes
- Default Value:

  - Single channel only:

    {0x00000000, 0x00002120, 0x0000073F, 0x00003F3F, 0x00000333, 0x00000000, 0x546000FF, 0x1A1A1A1A, 0x00002020, 0x00000044, 0x0FD20005, 0x00000355, 0x0F000000, 0x001020F0, 0x00000355, 0x0F000000, 0x001020FF}

  - Single/Double channel:

    {0x00000000, 0x10102120, 0x033F073F, 0x3F3F3F3F, 0x00000FFF, 0x00000000, 0xFFFF00FF, 0x17171717, 0x10101010, 0x00001111, 0x04380006, 0x000003AA, 0xF0000000, 0x001020F0, 0x00000355, 0x0F000000, 0x001020FF}

## PLC_ID_CHANNEL_CFG (0x4016)

- Description: PRIME channel used for transmission and reception in the PL360 device
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1 (Single channel only) or 3 (Single/Double channel), depending on the PL360 PRIME binary used (see PLC_ID_VERSION_NUM (0x4003))
  CAUTION: If the channel is modified, the Transmission Coupling parameters must be modified too (default values correspond to the default channel).

## PLC_ID_NUM_TX_LEVELS (0x4017)

- Description: Number of Tx attenuation levels (1 dB steps) for normal transmission behavior. When `attenuation` field (see DRV_PLC_PHY_TRANSMISSION_OBJ) is higher than or equal to the number of Tx attenuation levels, Tx mode is internally forced by the PL360 device to LOW mode.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 8

## PLC_ID_CORRECTED_RMS_CALC (0x4018)

- Description: RMS_CALC value obtained in the last transmitted message, compensated with gain applied by Tx AGC algorithm (see PLC_ID_CURRENT_GAIN (0x4019)). This is the value which is actually compared with thresholds (PLC_ID_THRESHOLDS_TABLE_VLO (0x400E), PLC_ID_THRESHOLDS_TABLE_HI (0x400C)) to automatically update Tx mode.
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_CURRENT_GAIN (0x4019)

- Description: Transmission Gain which will be used in the next transmitted message. It can vary after every transmission if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)). Maximum and minimum Gain values can be set in PLC_ID_GAIN_TABLE_HI (0x4012) and PLC_ID_GAIN_TABLE_VLO (0x4014).
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 81 (Single channel only) or 120 (Single/Double channel), depending on the PL360 PRIME binary used (see PLC_ID_VERSION_NUM (0x4003))

## PLC_ID_ZC_CONF_INV (0x401A)

- Description: Polarity of the pulse generated by the external Zero-Crossing detection circuit. For additional information, refer to the Zero-Crossing Configuration.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1

## PLC_ID_ZC_CONF_FREQ (0x401B)

- Description: Initial frequency, in Hz, for the mains Zero-Crossing detection algorithm. For additional information, refer to the Zero-Crossing Configuration.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 50

## PLC_ID_ZC_CONF_DELAY (0x401C)

- Description: Time Delay, in microseconds, of the external mains Zero-Crossing Detection circuit. For additional information, refer to the Zero-Crossing Configuration.
- Access: Read-write
- Value Range: 2 bytes
- Default Value: -350

## PLC_ID_SIGNAL_CAPTURE_START (0x401D)

- Description: Trigger to start signal capture process
- Access: Write-only
- Value Range: 9 bytes

  Byte 0 | Byte 1 - Byte 2 - Byte 3 - Byte 4 | Byte 5 - Byte 6 - Byte 7 - Byte 8
  --- | --- | ---
  Mode | Start time | Duration

  where, Mode is set according to the following table:

  bit 7 | bit 6 | bit 5 | bit 4 | bit 3 - bit 2 - bit 1 - bit 0
  --- | --- | --- | --- | ---
  - | Time mode | Band mode | Signal mode | Channel

  - Mode:
    - Time mode:
      - 0: Start time in absolute mode
      - 1: Start time in relative mode
    - Band mode:
      - 0: Channel mode. Low Pass Equivalent signal at 62.5 kHz sampling rate. Each sample is composed of 6 bytes (2 bytes real part, 2 bytes imaginary part and 2 bytes AGC value).
      - 1: Full-band mode. Signal at 1 MHz sampling rate. AGC is fixed. Each sample is composed of 1 byte (only real part), using μ-law compression algorithm.
    - Signal mode (only used for Full-band mode):
      - 0: Low level signals up to +/- 100 mV amplitude
      - 1: High level signals up to +/- 13V amplitude
    - Channel (only used for Channel mode): Select channel to capture
  - Start time: Instant when signal capture has to start referred to 1 μs PHY counter (absolute or relative value, depending on Time mode)
  - Duration: Signal capture duration in μs. The maximum duration depends on the selected Band mode and the PL360 PRIME binary used (see 10.3.4.12. ATPL360_REG_VERSION_NUM (0x4003)):
    - Single channel only: 97008 (Channel mode); 36378 (Full-band mode)
    - Single/Double channel: 70176 (Channel mode); 26316 (Full-band mode)
- Default Value: N/A

## PLC_ID_SIGNAL_CAPTURE_STATUS (0x401E)

- Description: Status of signal capture process
- Access: Read-only
- Value Range: 3 bytes

  Byte 0 Byte 1 | Byte 2
  --- | ---
  Fragment Count | Capture Status

  where:

  - Fragment Count: Number of 129-byte fragments to read the complete captured signal (only valid when capture is ready)
  - Capture Status: The status of the signal capture process
- Default Value: N/A

## PLC_ID_SIGNAL_CAPTURE_FRAGMENT (0x401F)

- Description: Signal fragment index to read. It must be set before reading PLC_ID_SIGNAL_CAPTURE_DATA (0x4020).
- Access: Read-write
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_SIGNAL_CAPTURE_DATA (0x4020)

- Description: Signal capture data buffer. Fragment of captured signal is selected through PLC_ID_SIGNAL_CAPTURE_FRAGMENT (0x401F).
- Access: Read-only
- Value Range: 129 bytes
- Default Value: N/A

## PLC_ID_ENABLE_AUTO_NOISE_CAPTURE (0x4021)

- Description: Flag to indicate if automatic noise analyzer is enabled in the reception chain. If Auto-mode is enabled, notch filter parameters (PLC_ID_RRC_NOTCH_ACTIVE (0x4024), PLC_ID_RRC_NOTCH_INDEX (0x4025)) cannot be modified by the user. See PLC_ID_TIME_BETWEEN_NOISE_CAPTURES (0x4022), PLC_ID_RRC_NOTCH_THR_ON (0x4028), PLC_ID_RRC_NOTCH_THR_OFF (0x4029) to configure parameters related to the Auto-mode.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1

## PLC_ID_TIME_BETWEEN_NOISE_CAPTURES (0x4022)

- Description: Time in milliseconds between noise captures
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 1000 (1 second)
  CAUTION: It is recommended that the default value of this parameter be kept. If reduced, the power consumption could increase. The default value is optimum for power consumption and performance of noise detection.

## PLC_ID_DELAY_NOISE_CAPTURE_AFTER_RX (0x4023)

- Description: Time in microseconds to start a new noise capture after PDU reception/transmission
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 3000 (3 milliseconds)

## PLC_ID_RRC_NOTCH_ACTIVE (0x4024)

- Description: Number of notched frequencies with RRC notch filter. Up to 5 notched frequencies are allowed.
- Access: Depends on Noise Analyzer mode PLC_ID_ENABLE_AUTO_NOISE_CAPTURE (0x4021) value:
  - Auto-mode (1): Read-only
  - Manual-mode (0): Read-write
- Value Range: 1 byte
- Default Value: 0 (No notched frequencies)

## PLC_ID_RRC_NOTCH_INDEX (0x4025)

- Description: Array of RRC notch filter index values. There is one index for each notched frequency. The format of each index is sQ8.7. The 9 integer bits (including sign bit) indicate the carrier index for which the notch filter is applied. The 7 decimal bits can apply the notch filter to a frequency that is between two consecutive carriers. To convert the notch index to frequency (in Hz), the following formulas are applied, depending on the number of channels used (PLC_ID_NUM_CHANNELS (0x403D)):
  - Single channel: F = INDEX * k + 65429.6875 + (Ch - 1) * 54687.5
  - Double channel: F = INDEX * k + 92773.4375 + (Ch - 1) * 54687.5

  where:

  - k = 1000000 / (2048 * 128) = 3.814697265625 Hz
  - Ch: PRIME channel used (10.3.4.30. ATPL360_REG_CHANNEL_CFG (0x4016))

  For example:

  - Single channel 1, INDEX = -768 (0xFD00): F = -768 * k + 65429.6875 = 62500 Hz
  - Double channel 3&4, INDEX = 16 (0x0010): F = 16 * k + 92773.4375 + 2 * 54687.5 = 202209 Hz
- Access: Depends on Noise Analyzer mode PLC_ID_ENABLE_AUTO_NOISE_CAPTURE (0x4021) value:
  - 1 (Auto-mode): Read-only
  - 0 (Manual-mode): Read-write
- Value Range: 10 bytes. Number of valid 2-byte words depends on the number of notched frequencies (PLC_ID_RRC_NOTCH_ACTIVE (0x4024)).
- Default Value: 0

## PLC_ID_NOISE_PEAK_POWER (0x4026)

- Description: Estimation of noise level, in dBµV, for the carrier with highest noise power. It is actually the maximum value of the PIB described in PLC_ID_NOISE_PER_CARRIER (0x4039). The value is updated only if noise analyzer Auto-mode is enabled (PLC_ID_ENABLE_AUTO_NOISE_CAPTURE (0x4021)) or if noise capture is triggered manually (PLC_ID_RRC_NOTCH_AUTODETECT (0x4027)).
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_RRC_NOTCH_AUTODETECT (0x4027)

- Description: Trigger to start noise analysis. If noise analyzer Manual-mode is enabled (see PLC_ID_ENABLE_AUTO_NOISE_CAPTURE (0x4021)), noise capture can be triggered through this PIB by writing 1. Writing 0 has no effect. If noise analyzer Auto-mode is enabled, writing any value has no effect.
- Access: Write-only
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_RRC_NOTCH_THR_ON (0x4028)

- Description: Activation threshold for narrow/broad-band noise detection, in dBµV with uQ14.2 format. For each PRIME channel (PLC_ID_CHANNEL_CFG (0x4016)), there is a specific value (for both read and write).
- Access: Read-write
- Value Range: 2 bytes
- Default Value:
  - Channel 1: 283 (70.75 dBμV)
  - Channel 2: 260 (65.00 dBμV)
  - Channel 3: 241 (60.25 dBμV)
  - Channel 4: 230 (57.50 dBμV)
  - Channel 5: 222 (55.50 dBμV)
  - Channel 6: 213 (53.25 dBμV)
  - Channel 7: 210 (52.50 dBμV)
  - Channel 8: 200 (50.00 dBμV)

## PLC_ID_RRC_NOTCH_THR_OFF (0x4029)

- Description: Deactivation threshold for narrow band noise, in dBµV with uQ14.2 format. For each PRIME channel (PLC_ID_CHANNEL_CFG (0x4016)), there is a specific value (for both read and write).
- Access: Read-write
- Value Range: 2 bytes
- Default Value:
  - Channel 1: 267 (66.75 dBμV)
  - Channel 2: 244 (61.00 dBμV)
  - Channel 3: 241 (56.25 dBμV)
  - Channel 4: 225 (53.50 dBμV)
  - Channel 5: 206 (51.50 dBμV)
  - Channel 6: 197 (49.25 dBμV)
  - Channel 7: 194 (48.50 dBμV)
  - Channel 8: 184 (46.00 dBμV)

## PLC_ID_TX_TOTAL (0x402A)

- Description: Number of successfully transmitted PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_TOTAL_BYTES (0x402B)

- Description: Number of bytes in successfully transmitted PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_TOTAL_ERRORS (0x402C)

- Description: Number of unsuccessfully transmitted PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_BUSY_TX (0x402D)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and there is already data in the TX chain
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_BUSY_CHANNEL (0x402E)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and the PLC channel is busy
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_LEN (0x402F)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and the specified length in transmission parameters is invalid
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_FORMAT (0x4030)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and the transmission parameters are not valid
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_TIMEOUT (0x4031)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and it cannot transmit data in the specified time provided by the transmission parameters
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_TOTAL (0x4032)

- Description: Number of successfully received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_TOTAL_BYTES (0x4033)

- Description: Number of bytes in successfully received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_EXCEPTIONS (0x4034)

- Description: Number of time-out errors in received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_BAD_LEN (0x4035)

- Description: Number of errors in FCH length in received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_BAD_CRC_FCH (0x4036)

- Description: Number of errors in FCH CRC in received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_FALSE_POSITIVE (0x4037)

- Description: Number of errors in PDU synchronization phase
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_BAD_FORMAT (0x4038)

- Description: Number of errors in modulation type field included in FCH of received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_NOISE_PER_CARRIER (0x4039)

- Description: Estimation of noise level, in dBµV, for each carrier in the working band. This information is used internally by the PL360 PHY for narrow/broad-band noise detection and notch filter activation. The value is updated only if Auto-mode is enabled (PLC_ID_ENABLE_AUTO_NOISE_CAPTURE (0x4021)) or noise capture is triggered through PLC_ID_RRC_NOTCH_AUTODETECT (0x4027). If Double channel is used (PLC_ID_NUM_CHANNELS (0x403D)), another table is needed for the second channel (PLC_ID_NOISE_PER_CARRIER_2 (0x4042)).
- Access: Read only
- Value Range: 97 bytes
- Default Value: All 0s

## PLC_ID_PPM_CALIB_ON (0x403A)

- Description: Enable the oscillator clock signal to go out through TXRX1 pad. This is useful to measure clock frequency deviation.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_ZC_PERIOD (0x403B)

- Description: Last estimation of the mains Zero-Crossing period, in microseconds
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_SYNC_XCORR_THRESHOLD (0x403C)

- Description: Correlation threshold for synchronization (preamble detection). The format is uQ0.16. It represents percentage with respect to the maximum ideal value of correlation (computed internally in PL360).
- Access: Read-write
- Value Range: 12 bytes

  Byte 0-1 | Byte 2-3 | Byte 4-5 | Byte 6-7 | Byte 8-9 | Byte 10-11
  --- | --- | --- | --- | --- | ---
  SYNC_TH_A | SYNC_TH_B | SYNC_2_3_TH_A | SYNC_2_3_TH_B | SYNC_1_2_TH_A | SYNC_1_2_TH_B

  where:

  - SYNC_TH_A: Threshold for detection of complete TYPE_A preamble. Used for frame synchronization.
  - SYNC_TH_B: Threshold for detection of complete TYPE_B preamble. Used for frame synchronization.
  - SYNC_TH_2_3_A: Threshold for detection of 2/3 TYPE_A preamble. Used to lock AGC.
  - SYNC_TH_2_3_B: Threshold for detection of 2/3 TYPE_B preamble. Used to lock AGC.
  - SYNC_TH_1_2_A: Threshold for detection of 1/2 TYPE_A preamble. Used to activate Carrier Detect.
  - SYNC_TH_1_2_B: Threshold for detection of 1/2 TYPE_B preamble. Used to activate Carrier Detect.
- Default Value:

  SYNC_TH_A | SYNC_TH_B | SYNC_2_3_TH_A | SYNC_2_3_TH_B | SYNC_1_2_TH_A | SYNC_1_2_TH_B
  --- | --- | --- | --- | --- | ---
  11272 | 10748 | 12124 | 11534 | 16908 | 16122

  CAUTION: It is recommended to keep the default value of this parameter in order to maintain expected reception performance.

## PLC_ID_NUM_CHANNELS (0x403D)

- Description: Number of PRIME channels (consecutive) used for transmission and reception in the PL360 device. The default value and value range depend on the PL360 PRIME binary used (see PLC_ID_VERSION_NUM (0x4003)).
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1 (Single channel only) or 2 (Single/Double channel)
  CAUTION: If the number of channels is modified, the Transmission Coupling parameters must be modified, too (default values correspond to the default channel). For additional information, refer to the Transmission Coupling Configuration.

## PLC_ID_MAX_NUM_CHANNELS (0x403E)

- Description: Number of PRIME channels (consecutive) that can be used for transmission and reception in the PL360 device
- Access: Read-only
- Value Range: 1 byte
- Default Value: 1 (Single channel only) or 2 (Single/Double channel), depending on the PL360 PRIME binary used (see PLC_ID_VERSION_NUM (0x4003))

## PLC_ID_PREDIST_COEF_TABLE_HI_2 (0x403F)

- Description: Equivalent to PLC_ID_PREDIST_COEF_TABLE_HI (0x400F), but for the second channel if Double channel is used (PLC_ID_NUM_CHANNELS (0x403D))
- Access: Read-write
- Value Range: 194 bytes
- Default Value:

  {0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF}

## PLC_ID_PREDIST_COEF_TABLE_LO_2 (0x4040)

- Description: Equivalent to PLC_ID_PREDIST_COEF_TABLE_LO (0x4010), but for the second channel if Double channel is used (PLC_ID_NUM_CHANNELS (0x403D))
- Access: Read-write
- Value Range: 194 bytes
- Default Value:

  {0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF}

## PLC_ID_PREDIST_COEF_TABLE_VLO_2 (0x4041)

- Description: Equivalent to PLC_ID_PREDIST_COEF_TABLE_VLO (0x4011), but for the second channel if Double channel is used (PLC_ID_NUM_CHANNELS (0x403D))
- Access: Read-write
- Value Range: 194 bytes
- Default Value:

  {0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF, 0x7FFF}

## PLC_ID_NOISE_PER_CARRIER_2 (0x4042)

- Description: Equivalent to PLC_ID_NOISE_PER_CARRIER (0x4039), but for the second channel if Double channel is used (PLC_ID_NUM_CHANNELS (0x403D))
- Access: Read only
- Value Range: 97 bytes
- Default Value: All 0s

## PLC_ID_RESET_STATS (0x4043)

- Description: Writing any value (1 - 255) causes all PHY statistics (PLC_ID_TX_TOTAL, PLC_ID_RX_TOTAL, etc.) to be reset to 0
- Access: Write-only
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_IC_DRIVER_CFG (0x4044)

- Description: This parameter configures the Transmission PLC Driver. It must be configured according to the PLC device used. There are four available modes, one for PL360, and three for PL460:
  - PL360: Configured for PL360
  - PL460_MAIN_BRANCH_1F: Configured for PL460 using Main Transmission Branch with a single external filter. When transmitting, both ASO pins are activated simultaneously for all Tx modes.
  - PL460_MAIN_BRANCH_2F: Configured for PL460 using Main Transmission Branch with two external filters. When transmitting, ASO0 is activated if HIGH Tx mode and ASO1 is activated if LOW / VERY_LOW Tx mode (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4004)).
  - PL460_AUX_BRANCH: Configured for PL460 using Auxiliary Transmission Branch

  For additional information, refer to the PL460 Data Sheet (DS60001666).

- Access: Read-write
- Value Range: 1 byte
- Default value: 0

## PLC_ID_RX_CHN_EST_REAL (0x4045)

- Description: Real part of Channel Estimation of the last received PDU. For each carrier in the working band, there is one 2-byte signed value. The PL360 PHY layer computes the Channel Estimation from the preamble and FCH symbols, which is used for the demodulation of payload symbols. The value has no unit and the scale does not reflect the real received signal level, although the RSSI (`rssi` in DRV_PLC_PHY_RECEPTION_OBJ) could be used to scale the Channel Estimation and obtain the RSSI per carrier in the working band. If Double channel is used (PLC_ID_NUM_CHANNELS (0x403D)), another array is needed for the second channel (PLC_ID_RX_CHN_EST_REAL_2 (0x4047)).
- Access: Read-only
- Value Range: 194 bytes
- Default value: All 0s

## PLC_ID_RX_CHN_EST_IMAG (0x4046)

- Description: Imaginary part of Channel Estimation of the last received PDU. For each carrier in the working band, there is one 2-byte signed value. See PLC_ID_RX_CHN_EST_REAL (0x4045) for additional information. If Double channel is used (PLC_ID_NUM_CHANNELS (0x403D)), another array is needed for the second channel (PLC_ID_RX_CHN_EST_IMAG_2 (0x4048)).
- Access: Read-only
- Value Range: 194 bytes
- Default value: All 0s

## PLC_ID_RX_CHN_EST_REAL_2 (0x4047)

- Description: Equivalent to PLC_ID_RX_CHN_EST_REAL (0x4045), but for the second channel if Double channel is used (PLC_ID_NUM_CHANNELS (0x403D))
- Access: Read-only
- Value Range: 194 bytes
- Default value: All 0s

## PLC_ID_RX_CHN_EST_IMAG_2 (0x4048)

- Description: Equivalent to PLC_ID_RX_CHN_EST_IMAG (0x4046), but for the second channel if Double channel is used (PLC_ID_NUM_CHANNELS (0x403D))
- Access: Read-only
- Value Range: 194 bytes
- Default value: All 0s

## PLC_ID_TX_DISABLE (0x4049)

- Description: This parameter allows disabling of transmissions. If disabled, ongoing/programmed transmission (if any) will be aborted and subsequent requests will be denied, reporting the transmission result DRV_PLC_PHY_TX_CANCELLED.
- Access: Read-write
- Value Range: 1 byte
- Default value: 0

## PLC_ID_TX_HIGH_TEMP_120 (0x404A)

- Description: Number of unsuccessful transmissions because of high temperature (>120ºC) error, i.e., with transmission result DRV_PLC_PHY_TX_RESULT_HIGH_TEMP_120. This transmission error is only available in PL460.
- Access: Read-write
- Value Range: 4 bytes
- Default value: 0

## PLC_ID_TX_CANCELLED (0x404B)

- Description: Number of canceled transmissions, i.e., with transmission result DRV_PLC_PHY_TX_CANCELLED. Transmissions can be canceled by:
  - TX_MODE_CANCEL bit in `mode` parameter (see DRV_PLC_PHY_TRANSMISSION_OBJ)
  - PLC_ID_TX_DISABLE (0x4048)
  - Tx Enable pin, only available in PL460
- Access: Read-write
- Value Range: 4 bytes
- Default value: 0

## PLC_ID_RX_CD_INFO (0x404C)

- Description: Carrier Detect related information for a PLC frame reception. The format is defined by the structure shown below:

      typedef struct {
        /* Reception time (message end or header end if message length is not known yet) referred to 1us PHY counter */
        uint32_t rx_time_end;
        /* Current time referred to 1us PHY counter */
        uint32_t current_time;
        /* Correlation peak value */
        uint16_t corr_peak_value;
        /* Average RSSI (Received Signal Strength Indication) in dBuV */
        uint8_t rssi_avg;
        /* Reception state. Similar to header from PRIME spec, but extra values for preamble */
        DRV_PLC_PHY_CD_RX_STATE cd_rx_state;
        /* Type A, Type B or Type BC  */
        DRV_PLC_PHY_FRAME_TYPE frame_type;
      } DRV_PLC_PHY_CD_INFO;

- Access: Read-only
- Value Range: 13 bytes
- Default value: N/A

## PLC_ID_SFO_ESTIMATION_LAST_RX (0x404D)

- Description: Estimation of the double-sided (between transmitter and receiver) clock frequency deviation for the last received PDU. The value is signed and the unit is 0.001 ppm. To convert to ppm, the read value has to be divided by 1000.
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0

Rev: G